## libhitaki 0.2.1

=== meson_options.txt ===
option('doc',
  type: 'boolean',
  value: false,
  description: 'Generate API reference',
)

=== debian/changelog ===
libhitaki (0.2.1-4) unstable; urgency=medium

  * debian/control
    - don't build-depend on gobject-introspection-bin (Closes: #1094622)

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Sun, 16 Feb 2025 17:00:01 +0900

libhitaki (0.2.1-3) unstable; urgency=medium

  * Update Standards-Version to 4.7.0
  * Solve stray-devhelp-documentation issue
  * Solve symbols-file-missing-build-depends-package-field issue
  * Solve gir-package-name-does-not-match issue
  * add gbp.conf for maintainer's convenience

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Sun, 15 Sep 2024 10:52:21 +0900

libhitaki (0.2.1-2) unstable; urgency=medium

  * Apply changes for auto-glib2.0 transitions, provided by Ubuntu distribution.

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Sun, 31 Mar 2024 16:45:24 +0900

libhitaki (0.2.1-1ubuntu1) noble; urgency=medium

  * Drop dependency on hard-code libglib dependency.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 22:57:27 +0100

libhitaki (0.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1061936)

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Fri, 16 Feb 2024 12:37:15 +0900

libhitaki (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Takashi Sakamoto <o-takashi@sakamocchi.jp>  Thu, 01 Feb 2024 22:53:34 +0900

=== debian/control ===
Source: libhitaki
Section: libs
Priority: optional
Maintainer: Takashi Sakamoto <o-takashi@sakamocchi.jp>
Build-Depends: debhelper-compat (= 13),
    dh-sequence-gir,
    meson (>= 0.46.0),
    libglib2.0-dev (>= 2.44.0),
    gir1.2-gobject-2.0-dev,
    gobject-introspection,
    libgirepository1.0-dev (>= 1.32.1),
    python3-gi,
    gi-docgen (>= 2023.1)
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/alsa-project/libhitaki
Vcs-Browser: https://salsa.debian.org/debian/libhitaki/
Vcs-Git: https://salsa.debian.org/debian/libhitaki.git

Package: libhitaki0
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
Multi-Arch: same
Description: Library to operate ALSA HwDep device for ALSA firewire stack
 Libhitaki is a shared library to operate ALSA HwDep character device for
 audio and music unit in IEEE 1394 bus.

Package: gir1.2-hitaki-0.0
Section: introspection
Architecture: linux-any
Depends: ${misc:Depends}, ${gir:Depends},
    libhitaki0 (= ${binary:Version}),
Multi-Arch: same
Description: GObject introspection data for libhitaki0
 This package contains introspection data for libhitaki0. It can be
 used by packages using the GIRepository format to generate dynamic
 bindings, or it can be used by interpreters understanding the
 GIReporsitory format to libhitaki0.

Package: libhitaki-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
    ${gir:Depends},
    libhitaki0 (= ${binary:Version}),
    libglib2.0-dev (>= 2.44.0),
    libgirepository1.0-dev (>= 1.32.1),
    gir1.2-hitaki-0.0 (= ${binary:Version})
Provides: ${gir:Provides}
Description: Library to operate ALSA HwDep device for ALSA firewire stack (development files)
 Libhitaki is a shared library to operate ALSA HwDep character device for
 audio and music unit in IEEE 1394 bus.
 This package contains development files including C headers and
 XML data for GIRepository.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Ddoc=true
